Available in VPC
Remove the associated subnet list from a route table.Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vpc/v2/removeRouteTableSubnet |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the request headers common to all VPC APIs, see VPC request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the route table from which you want to remove the list of associated subnets
|
vpcNo |
String | Required | VPC number of the route table from which you want to remove the associated subnet list
|
routeTableNo |
String | Required | Number of the route table from which you want to remove the associated subnet list
|
subnetNoList.N |
List[String] | Required | List of associated subnet numbers to be removed.
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/removeRouteTableSubnet
?regionCode=KR
&vpcNo=***04
&routeTableNo=***38
&subnetNoList.1=***45' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response body
See SubnetList for the response body.
Response status codes
For information about the response status codes common to all VPC APIs, see VPC response status codes.
Response example
The response example is as follows:
<removeRouteTableSubnetResponse>
<requestId>fbbfe907-87a9-41cf-9941-7c8b7c81e66f</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>1</totalRows>
<subnetList>
<subnet>
<subnetNo>***44</subnetNo>
<vpcNo>3804</vpcNo>
<zoneCode>KR-1</zoneCode>
<subnetName>test-***</subnetName>
<subnet>***.***.1.0/24</subnet>
<subnetStatus>
<code>RUN</code>
<codeName>run</codeName>
</subnetStatus>
<subnetType>
<code>PUBLIC</code>
<codeName>Public</codeName>
</subnetType>
</subnet>
</subnetList>
</removeRouteTableSubnetResponse>